Subject: bug#46638: 28.0.50; Hang on macOS with nativecomp in regex-emacs

From: Aaron Jensen <[email-masked]>
Date: Fri, 19 Feb 2021 10:28:05 -0600

On Fri, Feb 19, 2021 at 10:10 AM Eli Zaretskii <[email-masked]> wrote:
>
> > From: Aaron Jensen <[email-masked]>
> > Date: Fri, 19 Feb 2021 09:58:22 -0600
> >
> >     2457 Thread_11734453   DispatchQueue_1: com.apple.main-thread  (serial)
> >     + 2457 F70726f636573732d66696c65_process_file_0  (in simple-fab5b0cf-4ca11a8e.eln) + 800  [0x10b3479f0]
> >     +   2457 Fapply  (in emacs) + 625  [0x107067751]  eval.c:2636
> >     +     2457 Ffuncall  (in emacs) + 640  [0x107067a10]  eval.c:3006
> >     +       2457 funcall_subr  (in emacs) + 181  [0x1070682e5]  eval.c:0
> >     +         2457 Fcall_process  (in emacs) + 175  [0x1070bd8ff]  callproc.c:285
> >     +           2457 call_process  (in emacs) + 2109  [0x1070be1dd]  callproc.c:609
> >     +             2457 re_match_2_internal  (in emacs) + 154  [0x1070350ea]  regex-emacs.c:3964
>
> callproc.c:609 doesn't call re_match_2_internal, it calls
> emacs_spawn.  What am I missing here?

Hmm, good question. This particular build was compiled with -g3 -Og,
but I don't think that'd make it lie about line numbers. Maybe it's
not showing some inlined frames? Also, this is from Activity Monitor's
sampling, so I don't know how well that translates to a stack trace.